org.apache.fop.fo.properties

## Class SpacePropertyMaker

- java.lang.Object
- - org.apache.fop.fo.properties.CorrespondingPropertyMaker
  - - org.apache.fop.fo.properties.SpacePropertyMaker

-     public class SpacePropertyMaker
      extends CorrespondingPropertyMaker

  Special CorrespondingPropertyMaker that sets the conditionality subproperty correctly for space-* properties.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker

      `baseMaker, lrtb, rltb, tblr, tbrl, useParent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpacePropertyMaker(PropertyMaker baseMaker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `compute(PropertyList propertyList)` Return a Property object representing the value of this property, based on other property values for this FO.

    - ### Methods inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker

      `getWMPropertyList, isCorrespondingForced, setCorresponding, setRelative, setUseParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpacePropertyMaker

          public SpacePropertyMaker(PropertyMaker baseMaker)

      Parameters:
        `baseMaker` - base property maker

  - ### Method Detail

    - #### compute

          public Property compute(PropertyList propertyList)
                           throws PropertyException

      Return a Property object representing the value of this property, based on other property values for this FO. A special case is properties which inherit the specified value, rather than the computed value.
      Overrides:
        `compute` in class `CorrespondingPropertyMaker`
      Parameters:
        `propertyList` - The PropertyList for the FO.
      Returns:
        Property A computed Property value or null if no rules are specified (in foproperties.xml) to compute the value.
      Throws:
        `PropertyException` - if a property exception occurs

Copyright © 2023 Apache Software Foundation. All rights reserved.